
From: Gerd Knorr <kraxel@bytesex.org>

Convert v4l1-compat module to new-style insmod options.

Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/video/v4l1-compat.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/media/video/v4l1-compat.c~v4l-v4l1-compat-modparam drivers/media/video/v4l1-compat.c
--- 25/drivers/media/video/v4l1-compat.c~v4l-v4l1-compat-modparam	Mon Nov  8 13:54:40 2004
+++ 25-akpm/drivers/media/video/v4l1-compat.c	Mon Nov  8 13:54:40 2004
@@ -44,7 +44,7 @@
 #endif
 
 static unsigned int debug  = 0;
-MODULE_PARM(debug,"i");
+module_param(debug, int, 0644);
 MODULE_PARM_DESC(debug,"enable debug messages");
 MODULE_AUTHOR("Bill Dirks");
 MODULE_DESCRIPTION("v4l(1) compatibility layer for v4l2 drivers.");
_
